<?php


namespace MirfalahTech\Laravel\Payment\Contracts;


use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

interface PaymentGatewayDriver
{
    public function createPaymentURL(PayableEntity $payable, array $options = []): string;

    public function verifyGatewayReturn(Request $request): bool;

    public function verifyGatewayCallback(Request $request, Response &$response = null): bool;
}
