<?php

return [
    'default' => env('PAYMENT_GATEWAY'),

    'gateway' => [
        'razerpay' => [
            'endpoint' => env('RAZER_ENDPOINT', 'https://www.onlinepayment.com.my/'),
            'merchant_id' => env('RAZER_MERCHANT_ID'),
            'verify_key' => env('RAZER_VERIFY_KEY'),
            'secret_key' => env('RAZER_SECRET_KEY'),
        ],

        'senangpay' => [
            'endpoint' => env('SENANGPAY_ENDPOINT', 'https://app.senangpay.my/'),
            'merchant_id' => env('SENANGPAY_MERCHANT_ID'),
            'secret_key' => env('SENANGPAY_SECRET_KEY'),
        ],
    ],
];
